Fetch All Chatbot Prompts
curl --request GET \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/prompts \
--header 'Authorization: Bearer <token>'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/prompts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Fetched all the custom prompts of the chatbot successfully",
"data": {
"prompts": [
{
"id": "78ac8ecd-d889-4700-8c8c-162c92731ff9",
"title": "Custom",
"description": "Custom Prompt",
"instructions": "You are an AI assistant which answers users questions.",
"temperature": 0.3
},
{
"id": "f7c45e2b-fbaf-479b-9f0b-e31a401bab3a",
"title": "Custom Prompt",
"description": "This prompt has been created from your previous system/user prompt",
"instructions": "You are an AI assistant which answers users questions based on the website content. You should summarize and rephrase from the content.\nWe have also configured some functions in this chatbot. At any point of time, the user may try to execute one of these functions. So, please execute those functions accordingly whenever necessary.",
"temperature": 0.5
}
]
}
}{
"success": false,
"message": "Failed to fetch all the custom prompts of the chatbot",
"data": null,
"error": {
"code": "CHATBOT_ID_REQUIRED",
"message": "chatbotId is required",
"details": null
}
}{
"success": false,
"message": "Failed to fetch all the custom prompts of the chatbot",
"data": null,
"error": {
"code": "API_KEY_NOT_VALID",
"message": "Authorization header does not contain valid API key",
"details": null
}
}{
"success": false,
"message": "Failed to fetch all the custom prompts of the chatbot",
"data": null,
"error": {
"code": "FETCH_CHATBOT_PROMPTS_FORBIDDEN",
"message": "You are not authorized to fetch custom prompts of the chatbot",
"details": null
}
}{
"success": false,
"message": "Failed to fetch all the custom prompts of the chatbot",
"data": null,
"error": {
"code": "REQUEST_METHOD_NOT_ALLOWED",
"message": "POST request method is not allowed",
"details": null
}
}{
"success": false,
"message": "Failed to fetch all the custom prompts of the chatbot",
"data": null,
"error": {
"code": "FETCH_CHATBOT_PROMPTS_FAILED",
"message": "Some technical error has occurred !!",
"details": null
}
}Instructions
Fetch All Chatbot Prompts
Fetch all the prompts of the chatbot
GET
/
v0
/
chatbots
/
{chatbotId}
/
settings
/
prompts
Fetch All Chatbot Prompts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the chatbot
Was this page helpful?
⌘I